Deprecating Old API Endpoints

Discussion in 'News & Announcements' started by ChrisTurk, Feb 26, 2019.

  1. ChrisTurk

    ChrisTurk Administrator

    Messages:
    49,183
    Ratings:
    +130,962
    The following schedule should be used as a guideline for anyone still relying on TurkerView's old API infrastructure:


    EndpointScripts AffectedEmpty ResponseRemoval
    turkerview.com/api/TVJS v9 (or below)March 3rd, 2019March 10th, 2019
    api.turkerview.com
    • HIT Forker v1.0.6.1 (or below)
    • MTurk Suite 2.4.6 (or below)
    March 3rd, 2019March 31st, 2019
    We expect this to impact <3% of total users, so most likely you do not need to worry about this unless you've disabled TamperMonkey updating & have not manually updated existing scripts. You'd most likely know if this applied to you.

    Developers
    If you maintain a script that relies on one of these endpoints & need help porting to our more reliable API endpoints please let me know. There are developer docs available & I am happy to submit code where necessary.
     
    • WOW WOW x 3